%define oname		usbredir

%define major_parser		1
%define libname_parser		%mklibname usbredirparser %{major_parser}
%define develname_parser	%mklibname usbredirparser -d

%define major_host		1
%define libname_host		%mklibname usbredirhost %{major_host}
%define develname		%mklibname usbredir -d
%define develname_host		%mklibname usbredirhost -d

Name:		usbredir
Version:	0.8.0
Release:	%mkrel 1
License:	GPLv2+ ; LGPLv2+
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries
URL:		http://spice-space.org/page/UsbRedir
Source0:	http://spice-space.org/download/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(libusb-1.0)

%description
The usbredir libraries allow USB devices to be used on remote and/or virtual
hosts over TCP.  The following libraries are provided:

usbredirparser:
A library containing the parser for the usbredir protocol

usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement a USB host needs to do is:
* Provide a libusb device handle for the device
* Provide write and read callbacks for the actual transport of usbredir data
* Monitor for usbredir and libusb read/write events and call their handlers

# ---------------------------------------------------------------------------

%package -n %{libname_host}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_host}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname_host} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
# (tv) mga5 -> mga6 upgrade:
%rename %develname_parser
%rename %develname_host
Obsoletes:	usbredir-devel <= %{version}-%{release}


%description -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

# ---------------------------------------------------------------------------

%package -n %{libname_parser}
Summary:	A protocol for redirection USB traffic
Group:		System/Libraries

%description -n %{libname_parser}
usbredir is a protocol for redirection USB traffic from a single USB device,
to a different (virtual) machine then the one to which the USB device is
attached. See usb-redirection-protocol.txt for the description / definition
of this protocol.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make_build V=1

%install
%make_install LIBDIR=%{_libdir} PREFIX=%{_prefix}

find %{buildroot} -name "*.la" -delete

%files -n %{develname}
%{_includedir}/usbredir*.h
%{_libdir}/libusbredir*.so
%{_libdir}/pkgconfig/libusbredir*.pc

%files
%{_sbindir}/usbredirserver
%{_mandir}/man1/usbredirserver.1*

%files -n %{libname_host}
%{_libdir}/libusbredirhost.so.%{major_host}*

%files -n %{libname_parser}
%{_libdir}/libusbredirparser.so.%{major_parser}*


%changelog
* Thu Jan 14 2021 tex - 0.8.0-1pclos2021
- import for remmina
